gtkmm: Gtk::CellEditable Class Reference

gtkmm 3.9.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::CellEditable Class Reference

Interface for widgets which are used for editing cells. More...

Inheritance diagram for Gtk::CellEditable:
[legend]

## Public Member Functions
virtual | ~CellEditable ()
GtkCellEditable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkCellEditable* | gobj () const
| Provides access to the underlying C GObject. More...
void | start_editing (GdkEvent* event)
| Begins editing on a cell_editable. More...
void | editing_done ()
| Emits the Gtk::CellEditable::signal_editing_done() signal. More...
void | remove_widget ()
| Emits the Gtk::CellEditable::signal_remove_widget() signal. More...
Glib::SignalProxy0< void > | signal_editing_done ()
Glib::SignalProxy0< void > | signal_remove_widget ()
Glib::PropertyProxy< bool > | property_editing_canceled ()
| Indicates that editing has been canceled. More...
Glib::PropertyProxy_ReadOnly < bool > | property_editing_canceled () const
| Indicates that editing has been canceled. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| CellEditable ()
| You should derive from this class to use it. More...
virtual void | start_editing_vfunc (GdkEvent* event)
virtual void | on_editing_done ()
| This is a default handler for the signal signal_editing_done(). More...
virtual void | on_remove_widget ()
| This is a default handler for the signal signal_remove_widget(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::CellEditable > | wrap (GtkCellEditable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Interface for widgets which are used for editing cells.

The CellEditable interface must be implemented for widgets to be usable when editing the contents of a TreeView cell.

## Constructor & Destructor Documentation

Gtk::CellEditable::CellEditable | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gtk::CellEditable::~CellEditable | ( |  | ) |
| virtual

## Member Function Documentation

static void Gtk::CellEditable::add_interface | ( | GType | gtype_implementer | ) |
| static

void Gtk::CellEditable::editing_done | ( |  | ) |

Emits the Gtk::CellEditable::signal_editing_done() signal.

static GType Gtk::CellEditable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkCellEditable* Gtk::CellEditable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkCellEditable* Gtk::CellEditable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

virtual void Gtk::CellEditable::on_editing_done | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_editing_done().

virtual void Gtk::CellEditable::on_remove_widget | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_remove_widget().

Glib::PropertyProxy< bool > Gtk::CellEditable::property_editing_canceled | ( |  | ) |

Indicates that editing has been canceled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellEditable::property_editing_canceled | ( |  | ) | const

Indicates that editing has been canceled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::CellEditable::remove_widget | ( |  | ) |

Emits the Gtk::CellEditable::signal_remove_widget() signal.

Glib::SignalProxy0< void > Gtk::CellEditable::signal_editing_done | ( |  | ) |

Slot Prototype:
  `void on_my_editing_done()`

This signal is a sign for the cell renderer to update its value from the cell_editable.

Implementations of Gtk::CellEditable are responsible for emitting this signal when they are done editing, e.g. Gtk::Entry is emitting it when the user presses Enter.

Gtk::CellEditable::editing_done() is a convenience method for emitting Gtk::CellEditable::signal_editing_done().

Glib::SignalProxy0< void > Gtk::CellEditable::signal_remove_widget | ( |  | ) |

Slot Prototype:
  `void on_my_remove_widget()`

This signal is meant to indicate that the cell is finished editing, and the widget may now be destroyed.

Implementations of Gtk::CellEditable are responsible for emitting this signal when they are done editing. It must be emitted after the Gtk::CellEditable::signal_editing_done() signal, to give the cell renderer a chance to update the cell's value before the widget is removed.

Gtk::CellEditable::remove_widget() is a convenience method for emitting Gtk::CellEditable::signal_remove_widget().

void Gtk::CellEditable::start_editing | ( | GdkEvent * | event | ) |

Begins editing on a cell_editable.

event is the Gdk::Event that began the editing process. It may be `0`, in the instance that editing was initiated through programatic means.

Parameters

  event | A Gdk::Event, or `0`.

virtual void Gtk::CellEditable::start_editing_vfunc | ( | GdkEvent * | event | ) |
| protectedvirtual

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CellEditable > wrap | ( | GtkCellEditable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/celleditable.h